não inicializa.

Bug #1296422 reported by oswatanabe on 2014-03-23
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Cairo-Dock Core
Undecided
Matthieu Baerts
cairo-dock (Ubuntu)
Medium
Matthieu Baerts

Bug Description

Cairo dock not boot.

ProblemType: Crash
DistroRelease: Ubuntu 14.04
Package: cairo-dock-core 3.3.99.beta1.1~20140219~bzr1717-0ubuntu2
ProcVersionSignature: Ubuntu 3.13.0-19.39-generic 3.13.6
Uname: Linux 3.13.0-19-generic i686
NonfreeKernelModules: wl
ApportVersion: 2.13.3-0ubuntu1
Architecture: i386
CurrentDesktop: LXDE
Date: Sun Mar 23 18:34:08 2014
ExecutablePath: /usr/bin/cairo-dock
InstallationDate: Installed on 2014-02-27 (24 days ago)
InstallationMedia: Lubuntu 14.04 "Trusty Tahr" - Alpha i386 (20140225)
ProcCmdline: cairo-dock
SegvAnalysis: Skipped: missing required field "Disassembly"
Signal: 11
SourcePackage: cairo-dock
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dialout dip fax floppy fuse lpadmin plugdev sambashare sudo tape vboxusers video

oswatanabe (oswatanabe) wrote :

StacktraceTop:
 _enable_fake_transparency () at /build/buildd/cairo-dock-3.3.99.beta1.1~20140219~bzr1717/src/gldit/cairo-dock-container.c:451
 _check_composite_delayed (data=data@entry=0x0) at /build/buildd/cairo-dock-3.3.99.beta1.1~20140219~bzr1717/src/gldit/cairo-dock-container.c:477
 g_timeout_dispatch (source=source@entry=0x93d7940, callback=0xb6d68ab0 <_check_composite_delayed>, user_data=0x0) at /build/buildd/glib2.0-2.39.92/./glib/gmain.c:4472
 g_main_dispatch (context=0x938e550) at /build/buildd/glib2.0-2.39.92/./glib/gmain.c:3064
 g_main_context_dispatch (context=context@entry=0x938e550) at /build/buildd/glib2.0-2.39.92/./glib/gmain.c:3663

Changed in cairo-dock (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
information type: Private → Public
Matthieu Baerts (matttbe) wrote :

Hello and thank you for this bug report!

What did you do exactly before the crash? Just starting the dock for the first time?

@fabounet: in which cases "g_pMainDock" can be NULL?

Changed in cairo-dock (Ubuntu):
status: New → Incomplete

Navegava normalmente, quando resolvi instalar o cairo dock
Acabei de instalar o cairo dock, e iniciei o programa.

2014-03-23 19:20 GMT-03:00 Matthieu Baerts <email address hidden>:

> Hello and thank you for this bug report!
>
> What did you do exactly before the crash? Just starting the dock for the
> first time?
>
> @fabounet: in which cases "g_pMainDock" can be NULL?
>
> ** Changed in: cairo-dock (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1296422
>
> Title:
> não inicializa.
>
> Status in "cairo-dock" package in Ubuntu:
> Incomplete
>
> Bug description:
> Cairo dock not boot.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 14.04
> Package: cairo-dock-core 3.3.99.beta1.1~20140219~bzr1717-0ubuntu2
> ProcVersionSignature: Ubuntu 3.13.0-19.39-generic 3.13.6
> Uname: Linux 3.13.0-19-generic i686
> NonfreeKernelModules: wl
> ApportVersion: 2.13.3-0ubuntu1
> Architecture: i386
> CurrentDesktop: LXDE
> Date: Sun Mar 23 18:34:08 2014
> ExecutablePath: /usr/bin/cairo-dock
> InstallationDate: Installed on 2014-02-27 (24 days ago)
> InstallationMedia: Lubuntu 14.04 "Trusty Tahr" - Alpha i386 (20140225)
> ProcCmdline: cairo-dock
> SegvAnalysis: Skipped: missing required field "Disassembly"
> Signal: 11
> SourcePackage: cairo-dock
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dialout dip fax floppy fuse lpadmin plugdev
> sambashare sudo tape vboxusers video
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/cairo-dock/+bug/1296422/+subscriptions
>

--
Saudações,

Osvaldo Sunao Watanabe
Fone:(19) 3228-1583 Cel.: (19)98127-8668

Matthieu Baerts (matttbe) wrote :

Sorry, we don't speak Portuguese but Google Translate does (approximately :-) )

    Sailing normally, when I decided to install cairo dock
    I just installed cairo dock, and started the program.

@fabounet: is it possible that g_pMainDock is not initialised when displaying the dialogue at startup?

"in which cases "g_pMainDock" can be NULL?"

in case the dock is started in maintenance mode
or before the first dock is created, but " _check_composite_delayed" is
called from a timeout with "NULL" as data, which is normal (we don't need
g_pMainDock in this function)
why do you think g_pMainDock is NULL ?

a complete backtrace with gdb could help I think

2014-03-24 22:39 GMT+01:00 Matthieu Baerts <email address hidden>:

> Sorry, we don't speak Portuguese but Google Translate does
> (approximately :-) )
>
> Sailing normally, when I decided to install cairo dock
> I just installed cairo dock, and started the program.
>
> @fabounet: is it possible that g_pMainDock is not initialised when
> displaying the dialogue at startup?
>
> --
> You received this bug notification because you are a member of Cairo-
> Dock Devs, which is subscribed to cairo-dock in Ubuntu.
> https://bugs.launchpad.net/bugs/1296422
>
> Title:
> não inicializa.
>
> Status in “cairo-dock” package in Ubuntu:
> Incomplete
>
> Bug description:
> Cairo dock not boot.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 14.04
> Package: cairo-dock-core 3.3.99.beta1.1~20140219~bzr1717-0ubuntu2
> ProcVersionSignature: Ubuntu 3.13.0-19.39-generic 3.13.6
> Uname: Linux 3.13.0-19-generic i686
> NonfreeKernelModules: wl
> ApportVersion: 2.13.3-0ubuntu1
> Architecture: i386
> CurrentDesktop: LXDE
> Date: Sun Mar 23 18:34:08 2014
> ExecutablePath: /usr/bin/cairo-dock
> InstallationDate: Installed on 2014-02-27 (24 days ago)
> InstallationMedia: Lubuntu 14.04 "Trusty Tahr" - Alpha i386 (20140225)
> ProcCmdline: cairo-dock
> SegvAnalysis: Skipped: missing required field "Disassembly"
> Signal: 11
> SourcePackage: cairo-dock
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dialout dip fax floppy fuse lpadmin plugdev
> sambashare sudo tape vboxusers video
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/cairo-dock/+bug/1296422/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team
> More help : https://help.launchpad.net/ListHelp
>

Matthieu Baerts (matttbe) wrote :

@oswatanabe: as workaround you have 4 seconds to accept using the dock with/without OpenGL or you can use one of this command to launch the dock:

   $ cairo-dock -o ## => with OpenGL
   $ cairo-dock -c ## => Without OpenGL backend: if you have some problems with it

PS: I guess you'll need a composite manager to correctly support transparency, more details about that there: http://lubuntublog.blogspot.be/p/compton.html

Changed in cairo-dock (Ubuntu):
status: Incomplete → In Progress
assignee: nobody → Matthieu Baerts (matttbe)
Changed in cairo-dock-core:
status: New → Fix Committed
assignee: nobody → Matthieu Baerts (matttbe)
Changed in cairo-dock (Ubuntu):
milestone: none → ubuntu-14.03
Changed in cairo-dock-core:
milestone: none → 3.3.99.rc
Matthieu Baerts (matttbe) wrote :

@fabounet: sorry, I think I found what was wrong yesterday but I had problem with my WiFi connexion...

At startup, the Container Manager is registered and the "init" function is launched even if there is no dock (e.g. when there is a GTK dialogue at startup to choose if the user wants to use the OpenGL backend or not). After 4 seconds, "_check_composite_delayed()" is called and if the screen doesn't have any composite manager, "_enable_fake_transparency()" is used and this line will crash the dock:

    s_iPrevVisibility = g_pMainDock->iVisibility;

I guess that the init() function should be used after having creating all docks, no need to be connected to the "composited-changed" signal, etc. before that. As an easy fix, if 'g_pMainDock' is NULL when starting "_check_composite_delayed()", this function is delayed again => https://bazaar.launchpad.net/~cairo-dock-team/cairo-dock-core/cairo-dock/revision/1732#src/gldit/cairo-dock-container.c
Or maybe we can add a "reload()" function which will be used after having displayed the GTK dialogue?

What do you think about that? :-)

Changed in cairo-dock (Ubuntu):
milestone: ubuntu-14.03 → ubuntu-14.04
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers